Arbor 3: FSM & BT Graph Editor 3.7.5

Public Attributes | Protected Member Functions | Properties | List of all members
TreeNodeBehaviour Class Reference

Base class that defines the behavior of TreeBehaviourNode. More...

Inheritance diagram for TreeNodeBehaviour:

## Public Attributes
bool | expanded = true
| Expanded on ArborEditorWindow. More...

## Protected Member Functions
sealed override void | OnInitializeEnabled ()
| Called to perform enabled initialization. More...
virtual void | OnAwake ()
| This function is called when the own node becomes active for the first time. More...
virtual void | OnStart ()
| This function is called when the own node becomes active. More...
virtual void | OnAbort ()
| This function is called when the own node is aborted. More...
virtual void | OnEnd ()
| This function is called when the own node ends. More...
Protected Member Functions inherited from NodeBehaviour
virtual void | OnValidate ()
| See MonoBehaviour.OnValidate. More...
virtual void | OnCreated ()
| Raises the created event. More...
virtual void | OnPreDestroy ()
| Raises the pre destroy event. More...
virtual void | OnGraphPause ()
| This function is called when the graph is paused. More...
virtual void | OnGraphResume ()
| This function is called when the graph resumes. More...
virtual void | OnGraphStop ()
| This function is called when the graph stops. More...

## Properties
BehaviourTreeInternal | behaviourTree`[get]`
| Gets the behaviour tree. More...
TreeNodeBase | treeNode`[get]`
| Get the TreeNodeBase. More...
Properties inherited from NodeBehaviour
NodeGraph | nodeGraph`[get]`
| Gets the NodeGraph. More...
int | nodeID`[get]`
| Gets the node identifier. More...
Node | node`[get]`
| Get the Node. More...
int | dataSlotFieldCount`[get]`
| Number of DataSlotField More...
int | calculatorSlotFieldCount`[get]`
| Number of DataSlotField More...

## Additional Inherited Members
Public Member Functions inherited from NodeBehaviour
void | RebuildFields ()
| For internal. More...
DataSlotField | GetDataSlotField (int index)
| Get DataSlotField. More...
DataSlotField | GetCalculatorSlotField (int index)
| Get DataSlotField. More...
DataSlotField | GetDataSlotField (DataSlot slot, bool rebuild=false)
| Get DataSlotField. More...
DataSlotField | GetCalculatorSlotField (DataSlot slot)
| Get DataSlotField. More...
void | RebuildDataSlotFields ()
| Rebuild the DataSlotField. More...
void | RebuildCalculatorSlotFields ()
| Rebuild the DataSlotField. More...
void | Initialize (NodeGraph nodeGraph, int nodeID)
| For Editor. More...
void | UpdateDataLink ()
| Manually update DataLink values. More...
Static Public Member Functions inherited from NodeBehaviour
static NodeBehaviour | CreateNodeBehaviour (Node node, System.Type type, bool duplicate=false)
| For Editor. More...
static Type | CreateNodeBehaviour< Type > (Node node, bool duplicate=false)
| For Editor. More...
static void | Destroy (NodeBehaviour behaviour)
| Destroy NodeBehaviour. More...

## Detailed Description

Base class that defines the behavior of TreeBehaviourNode.

## Member Function Documentation

## ◆ OnAbort()

virtual void OnAbort | ( |  | ) |
| protected virtual

This function is called when the own node is aborted.

## ◆ OnAwake()

virtual void OnAwake | ( |  | ) |
| protected virtual

This function is called when the own node becomes active for the first time.

## ◆ OnEnd()

virtual void OnEnd | ( |  | ) |
| protected virtual

This function is called when the own node ends.

## ◆ OnInitializeEnabled()

sealed override void OnInitializeEnabled | ( |  | ) |
| protected virtual

Called to perform enabled initialization.

Reimplemented from NodeBehaviour.

## ◆ OnStart()

virtual void OnStart | ( |  | ) |
| protected virtual

This function is called when the own node becomes active.

## Member Data Documentation

## ◆ expanded

bool expanded = true

Expanded on ArborEditorWindow.

## Property Documentation

## ◆ behaviourTree

BehaviourTreeInternal behaviourTree
| get

Gets the behaviour tree.

## ◆ treeNode

TreeNodeBase treeNode
| get

Get the TreeNodeBase.